#
# spec file for package metacity (Version 2.12.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           metacity
BuildRequires:  gconf2-devel gnome-patch-translation gtk2-devel intltool libglade2-devel perl-XML-Parser startup-notification-devel update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL v2 or later
Group:          System/GUI/GNOME
AutoReqProv:    on
Version:        2.12.3
Release:        0.19.20
Summary:        A Fast Window Manager for the GNOME 2.x Desktop
Source:         metacity-%{version}.tar.bz2
Patch:          metacity-ping-timeout.patch
Patch2:         metacity-preconf.dif
Patch3:         metacity-6626-raise-on-click.diff
Patch4:         metacity-2.12.0-border-effects-2.patch
Patch5:         metacity-2.12.0-horizontal-viewport-constraints-1.patch
Patch6:         metacity-activate-window-hack-1.patch
Patch8:         metacity-audible-bell-off.patch
Patch9:         metacity-windows-key-binding.patch
Patch10:        metacity-213074-lotus-notes.patch
Patch11:        metacity-2.12.3-disable-focus-stealing-prevention.patch
Patch12:        metacity-dnd-swithing.diff
Patch13:        metacity-348482-modal-dialog-bug-in-tablist.patch
Patch14:        metacity-428672-window-key-rdesktop.patch
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem gconf2

%description
Metacity is a fast window manager for the GNOME 2.x Desktop. It can be
seen as an alternative to Sawfish. Many users prefer Metacity because
it integrates well with the GNOME 2.x Desktop.



%prep
%setup -n metacity-%{version}
gnome-patch-translation-prepare
%patch -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch8
%patch9 -p1
%patch10
%patch11 -p1
%patch12 -p1
%patch13
%patch14 -p1
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && \
        mv configure.in.tmp configure.in
gnome-patch-translation-update

%build
intltoolize --force
autoreconf -fi
## HACK ALERT BEGIN
# work around 9.2 deficiency
if test -f /usr/X11R6/%_lib/libXfixes.a -a ! -f /usr/X11R6/%_lib/libXfixes.so ; then
    ln -sf /usr/X11R6/%_lib/libXfixes.so.? src/libXfixes.so
    export LDFLAGS="-L."
fi
## HACK ALERT END
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --mandir=%prefix/share/man \
    --localstatedir=/var/%_lib \
    --libexecdir=%{prefix}/lib/metacity \
    --libdir=%prefix/%_lib \
    --disable-schemas-install \
    --disable-compositor
make 

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{prefix}/%{_lib}/*.*a

%post
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/metacity.schemas >/dev/null

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/locale/*/LC_MESSAGES/*.mo
/etc/%{prefix}/gconf/schemas/metacity.schemas
%{prefix}/%_lib/*.so
%{prefix}/%_lib/*.so.*
%{prefix}/lib/metacity
%{prefix}/share/man/man*/*
/opt/gnome/share/gnome/wm-properties/*.desktop
%{prefix}/share/metacity
%{prefix}/share/themes/*
%{prefix}/include/metacity-1
%{prefix}/%_lib/pkgconfig/*.pc

%changelog
* Fri Dec 17 2010 dliang@novell.com
- Update metacity-windows-key-binding.patch
  Update metacity-2.12.0-horizontal-viewport-constraints-1.patch
    (build server fuzz issue)
  Enable metacity-dnd-swithing.diff and add metacity-428672-window-key-rdesktop.patch
  to fix bnc#428672 and bnc#333516
* Tue Oct 21 2008 mauro@suse.de 
- Disabled metacity-dnd-swithing.diff to fix bnc#428672
* Tue Jan 29 2008 fliu@suse.de
- fixed Modal dialog box interferes with proper ALT-TAB order
  (#348482)
* Fri Dec 14 2007 mvancura@suse.de
- fixed ALT-[SHIFT-]TAB while dragging objects (#333516)
- fixed switching documents through MS Word Window menu (#337073)
* Wed Jan 17 2007 sbrabec@suse.cz
- Fixed Norwegian patch translation (#235192).
* Thu Dec  7 2006 jhargadon@suse.de
- update to version 2.12.3 (fate#300419)
- Make the workspace switcher work with dual-head (non-xinerama)
  setups
- removed upstreamed patch
* Thu Oct 19 2006 danw@suse.de
- Tweak focus-stealing-prevention semantics a bit for Lotus Notes
  [#213074]
* Thu Jun 15 2006 jimmyk@suse.de
- Added a keybinding for opening the main-menu when the windows key is pressed,
  BNC #155437.
* Thu Jun  8 2006 danw@suse.de
- Remove xsession desktop file, since metacity alone is useless
  as an xsession. #181814
* Wed May 17 2006 joeshaw@suse.de
- Add patch to turn audible bell off by default.  (bnc #176424)
* Sun Mar  5 2006 dobey@suse.de
- Default to new Gilouche theme
* Sun Feb 19 2006 aj@suse.de
- Reduce BuildRequires.
* Wed Feb 15 2006 gekker@suse.de
- Fix dual-head bug (b.g.o#319423)
* Wed Feb  1 2006 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 dobey@suse.de
- Use Chlorophyll as the default theme now
* Wed Nov 30 2005 gekker@suse.de
- Update to version 2.12.2
* Thu Oct 13 2005 gekker@suse.de
- Update to version 2.12.1
* Thu Sep 29 2005 gekker@suse.de
- Add patches to metacity to support better support Xgl
* Thu Sep 22 2005 clahey@suse.de
- Switch from 4 desktops to 1.
* Mon Sep  5 2005 gekker@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Tue Aug 23 2005 gekker@suse.de
- Update to version 2.11.3
* Thu Aug 11 2005 gekker@suse.de
- Update to version 2.11.2
* Tue Aug  2 2005 gekker@suse.de
- Update to version 2.11.1
* Fri Jul 22 2005 gekker@suse.de
- Update to version 2.11.0
- Remove *.*a files from package
* Thu Jul 21 2005 federico@novell.com
- Added metacity-6626-raise-on-click.diff; this adds a boolean GConf
  key called /apps/metacity/general/raise_on_click that controls whether
  windows get raised to the front when a button is pressed on them.  Fixes
  bug #6626.
* Tue Jun 21 2005 gekker@suse.de
- Update to version 2.10.1
* Thu Mar 17 2005 sbrabec@suse.cz
- Disabled metacity's compositing manager (#61691).
* Wed Mar  9 2005 gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar  3 2005 gekker@suse.de
- Update to version 2.9.34
* Fri Feb 11 2005 gekker@suse.de
- Update to version 2.9.13
* Thu Feb 10 2005 adrian@suse.de
- install session desktop file
* Sat Feb  5 2005 gekker@suse.de
- Update to version 2.9.8
* Tue Jan 18 2005 clahey@suse.de
- Updated to version 2.9.3.
* Tue Jan  4 2005 gekker@suse.de
- Update to version 2.9.2
* Wed Dec 22 2004 gekker@suse.de
- Update to version 2.9.0
- Remove titlebar-font-setup.patch, included in update.
* Tue Nov 23 2004 ro@suse.de
- fix build on 9.2 (missing so links for libXfixes)
* Tue Nov  2 2004 mmj@suse.de
- Locale rename: no -> nb
* Tue Oct 12 2004 sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Thu Apr 29 2004 hhetter@suse.de
- updated 2.8.0 [GNOME2.6]
* Fri Mar 12 2004 hhetter@suse.de
- default theme to Industrial
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Mon Mar  1 2004 sbrabec@suse.cz
- Allow setting of titlebar font in gnome-font-properties (workaround
  for bug #31388, http://bugzilla.gnome.org/show_bug.cgi?id=104177).
- Disable schemas installation during %%install.
* Wed Feb 25 2004 hhetter@suse.de
- apply metacity-ping-timeout.patch, increase the time
  metacity detects crashed programs
* Thu Feb 12 2004 hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Mon Feb  9 2004 hhetter@suse.de
- updated to version 2.6.3 [GNOME2.4.2]
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Thu Oct  9 2003 sbrabec@suse.cz
- Updated to version 2.6.2 (GNOME 2.4).
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Tue Jun 24 2003 sbrabec@suse.cz
- Updated to version 2.4.55.
- Updated neededforbuild.
- Prefix clash fix (wm-properties).
- Fixed directory owhership.
* Thu Mar 13 2003 sbrabec@suse.cz
- Fixed desktop hang for certain transient loops (k3b-setup, bug 24069).
- Allow startup-notification.
* Thu Feb  6 2003 hhetter@suse.de
- updated to version 2.4.34 [GNOME 2.2.0]
* Fri Jan 31 2003 sf@suse.de
- fixed library path for lib64
* Tue Jan 14 2003 hhetter@suse.de
- updated to verion 2.4.13
* Mon Jan  6 2003 sbrabec@suse.cz
- Updated to version 2.4.8.
- Updated %%files.
* Wed Oct 23 2002 hhetter@suse.de
- fix kde datadir
- fix wrong docdir
- updated to version 2.4.2
- FHS fix
* Fri Sep 27 2002 ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Aug 20 2002 hhetter@suse.de
- added PreReq: filesystem
* Mon Aug 12 2002 hhetter@suse.de
- updated to version 2.4.0
- fix filelist for new theme conventions
* Sat Jul 27 2002 adrian@suse.de
- fix neededforbuild
* Fri Jun 14 2002 hhetter@suse.de
- provide schemas
* Mon Jun 10 2002 hhetter@suse.de
- initial SuSE Package
